Bug 1478705 - (deepin-calendar) Review Request: deepin-calendar - Calendar for Deepin Desktop Environment
Review Request: deepin-calendar - Calendar for Deepin Desktop Environment
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DeepinDEPackageReview
  Show dependency treegraph
 
Reported: 2017-08-06 06:27 EDT by Zamir SUN
Modified: 2017-12-31 20:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-31 20:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
robinlee.sysu: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Zamir SUN 2017-08-06 06:27:55 EDT
Spec URL: https://zsun.fedorapeople.org/pub/pkgs/deepin-calendar/deepin-calendar.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/deepin-calendar/deepin-calendar-1.0.11-2.fc27.src.rpm
Description: Calendar for Deepin Desktop Environment.
Fedora Account System Username: zsun
Comment 1 Robin Lee 2017-08-07 10:41:16 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in deepin-calendar
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 137 files have
     unknown license. Detailed output of licensecheck in
     /home/cheese/Public/1478705-deepin-calendar/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/scalable/apps, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/scalable
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
     https://koji.fedoraproject.org/koji/taskinfo?taskID=21092234
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: deepin-calendar-1.0.11-2.fc27.x86_64.rpm
          deepin-calendar-debuginfo-1.0.11-2.fc27.x86_64.rpm
          deepin-calendar-1.0.11-2.fc27.src.rpm
deepin-calendar.x86_64: W: only-non-binary-in-usr-lib
deepin-calendar.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
deepin-calendar.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
deepin-calendar.x86_64: W: no-manual-page-for-binary dde-calendar
deepin-calendar-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: deepin-calendar-debuginfo-1.0.11-2.fc27.x86_64.rpm
deepin-calendar-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
deepin-calendar.x86_64: W: only-non-binary-in-usr-lib
deepin-calendar.x86_64: W: no-manual-page-for-binary dde-calendar
deepin-calendar-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 2 warnings.



Requires
--------
deepin-calendar (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libdtkbase.so.1()(64bit)
    libdtkutil.so.1()(64bit)
    libdtkwidget.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

deepin-calendar-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
deepin-calendar:
    application()
    application(dde-calendar.desktop)
    deepin-calendar
    deepin-calendar(x86-64)

deepin-calendar-debuginfo:
    debuginfo(build-id)
    deepin-calendar-debuginfo
    deepin-calendar-debuginfo(x86-64)



Source checksums
----------------
https://github.com/linuxdeepin/dde-calendar/archive/1.0.11/dde-calendar-1.0.11.tar.gz :
  CHECKSUM(SHA256) this package     : 2cdbeb35096a5b911a7f375275db4e343a9ab123b52f13089269744e62651220
  CHECKSUM(SHA256) upstream package : 2cdbeb35096a5b911a7f375275db4e343a9ab123b52f13089269744e62651220


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1478705
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-07 12:56:09 EDT
(In reply to Robin Lee from comment #1)
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "GPL (v3 or later)", "Unknown or generated". 137 files have
>      unknown license. Detailed output of licensecheck in
>      /home/cheese/Public/1478705-deepin-calendar/licensecheck.txt

It's one of those cases where fedora-review output MUST be post-processed
by the reviewer. First of all, the submitter does not have the licensecheck.txt
file, so last sentence is not useful to them. You should edit the comment
to clarify what is wrong.

The License field pertains to the *binary* package [https://fedoraproject.org/wiki/Licensing:FAQ#Does_the_License:_tag_cover_the_SRPM_or_the_binary_RPM.3F].
And GPLv3 is a very strong license, so when multiple sources are mixed, it's
usual for the result to be covered by GPLv3 and the other licenses to be irrelevant.

In this case the .c and .h files have headers that specify GPLv3+ as the license.
So there a small error: it should be "License: GPLv3+" (and not GPLv3).
It's possible that this is what you had in mind, but it's not immediately obvious
from what you wrote ;)
Comment 3 Robin Lee 2017-08-07 21:55:33 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> So there a small error: it should be "License: GPLv3+" (and not GPLv3).
> It's possible that this is what you had in mind, but it's not immediately
> obvious
> from what you wrote ;)

Yes, that's the point. And the output fedora-review has sufficient information to get it, though not very obvious. I hope the submitter can get familiar to fedora-review and licensecheck, so I did not explain further what these tools have said.
Comment 5 Robin Lee 2017-08-09 09:10:26 EDT
Approved by cheeselee.
Comment 6 Ralph Bean 2017-08-10 13:12:53 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-calendar
Comment 7 Ralph Bean 2017-08-10 13:13:44 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-calendar
Comment 8 Fedora Update System 2017-08-15 09:56:15 EDT
xfce4-statusnotifier-plugin-0.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ec2d397fa
Comment 9 Zamir SUN 2017-08-15 10:59:52 EDT
I submitted to a wrong bodhi... Change back.
Comment 10 Zamir SUN 2017-12-31 20:30:00 EST
Close as FIXED since it's in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.